Skip to main content
GET
/
api
/
call_ai_audit_events
/
{id}
GET /api/call_ai_audit_events/{id}
curl --request GET \
  --url https://api.sippet.ai/api/call_ai_audit_events/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "occurred_at": "<unknown>",
      "event_type": "tool_call",
      "call_uuid": "<string>",
      "input_cached_tokens": 123,
      "output_audio_tokens": 123,
      "output_text_tokens": 123,
      "tool_output": {},
      "total_tokens": 123,
      "step_index": 123,
      "token_usage": {},
      "input_image_tokens": 123,
      "tool_call_id": "<string>",
      "input_audio_tokens": 123,
      "state_label": "<string>",
      "input_tokens": 123,
      "output_image_tokens": 123,
      "total_steps": 123,
      "success": true,
      "input_text_tokens": 123,
      "tool_arguments": {},
      "error": "<string>",
      "model": "<string>",
      "input_cached_text_tokens": 123,
      "tool_arguments_raw": "<string>",
      "tool_name": "<string>",
      "input_cached_image_tokens": 123,
      "payload": {},
      "room_id": "<string>",
      "input_cached_audio_tokens": 123,
      "output_tokens": 123,
      "state_id": "<string>",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "progress_percent": 123
    },
    "relationships": {
      "call": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      },
      "organisation": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      }
    }
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Path Parameters

id
string
required

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"CallAiAuditEvent": "id,event_type,tool_name,tool_call_id,tool_arguments_raw,tool_arguments,tool_output,error,success,state_id,state_label,step_index,total_steps,progress_percent,token_usage,input_tokens,output_tokens,total_tokens,input_text_tokens,input_audio_tokens,input_image_tokens,input_cached_tokens,input_cached_text_tokens,input_cached_audio_tokens,input_cached_image_tokens,output_text_tokens,output_audio_tokens,output_image_tokens,model,payload,call_uuid,room_id,agent_id,occurred_at,call_id,organisation_id"
}

Response

Success

data
object

A "Resource object" representing a CallAiAuditEvent

included
any[]
meta
object